org.apache.lucene.queries.function

## Class FunctionQuery.AllScorer

- java.lang.Object
- - org.apache.lucene.search.Scorable
  - - org.apache.lucene.search.Scorer
    - - org.apache.lucene.queries.function.FunctionQuery.AllScorer

- Enclosing class:
    FunctionQuery

      protected class FunctionQuery.AllScorer
      extends Scorer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorable

      `Scorable.ChildScorable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllScorer(LeafReaderContext context, FunctionQuery.FunctionWeight w, float boost)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `docID()`
    `Explanation` | `explain(int doc)`
    `float` | `getMaxScore(int upTo)`
    `DocIdSetIterator` | `iterator()`
    `float` | `score()`

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `advanceShallow, getWeight, twoPhaseIterator`

    - ### Methods inherited from class org.apache.lucene.search.Scorable

      `getChildren, setMinCompetitiveScore, smoothingScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllScorer

          public AllScorer(LeafReaderContext context,
                           FunctionQuery.FunctionWeight w,
                           float boost)
                    throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### iterator

          public DocIdSetIterator iterator()

      Specified by:
        `iterator` in class `Scorer`

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `Scorable`

    - #### score

          public float score()
                      throws IOException

      Specified by:
        `score` in class `Scorable`
      Throws:
        `IOException`

    - #### getMaxScore

          public float getMaxScore(int upTo)
                            throws IOException

      Specified by:
        `getMaxScore` in class `Scorer`
      Throws:
        `IOException`

    - #### explain

          public Explanation explain(int doc)
                              throws IOException

      Throws:
        `IOException`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.